org.freedesktop

## Class DBus.NameLost

- java.lang.Object
- - org.freedesktop.dbus.Message
  - - org.freedesktop.dbus.DBusSignal
    - - org.freedesktop.DBus.NameLost

- Enclosing interface:
    DBus

      public static class DBus.NameLost
      extends org.freedesktop.dbus.DBusSignal

  Signal sent to a connection when it loses a name

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.freedesktop.dbus.Message

      `org.freedesktop.dbus.Message.ArgumentType, org.freedesktop.dbus.Message.Endian, org.freedesktop.dbus.Message.Flags, org.freedesktop.dbus.Message.HeaderField, org.freedesktop.dbus.Message.MessageType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `name`

    - ### Fields inherited from class org.freedesktop.dbus.Message

      `bytecounter, flags, globalserial, headers, PROTOCOL, protover, serial, type, wiredata`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameLost(String path, String name)`

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.dbus.Message

      `align, append, appendByte, appendBytes, appendint, demarshallint, demarshallint, demarshallintBig, demarshallintLittle, extract, extract, getAlignment, getDestination, getFlags, getHeader, getHeaderFieldName, getInterface, getName, getParameters, getPath, getReplySerial, getSerial, getSig, getSource, getWireData, marshallint, marshallintBig, marshallintLittle, pad, setArgs, setSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public final String name

  - ### Constructor Detail

    - #### NameLost

          public NameLost(String path,
                          String name)
                   throws org.freedesktop.dbus.exceptions.DBusException

      Throws:
        `org.freedesktop.dbus.exceptions.DBusException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.